SimpleTextChunk (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.wave
Class SimpleTextChunk

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.iff.Chunk
          edu.harvard.hul.ois.jhove.module.wave.SimpleTextChunk

Direct Known Subclasses:
  LabelChunk, NoteChunk

    public abstract class SimpleTextChunk

extends Chunk

Superclass for the very similar Note and Label chunks.

Author:
  Gary McGath

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.iff.Chunk
`_dstream, _module, bytesLeft`

Constructor Summary
`SimpleTextChunk(ModuleBase module, ChunkHeader hdr, java.io.DataInputStream dstrm)` Constructor.

Method Summary
`protected Property` | `readTextProp(WaveModule module, java.lang.String propName)` Reads the text item, and returns a Property containing the cue point ID and the text.

Methods inherited from class edu.harvard.hul.ois.jhove.module.iff.Chunk
`byteBufString, readChunk`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleTextChunk

    public SimpleTextChunk(ModuleBase module,
                           ChunkHeader hdr,
                           java.io.DataInputStream dstrm)

  Constructor.

  Parameters:
    `module` - The WaveModule under which this was called
    `hdr` - The header for this chunk
    `dstrm` - The stream from which the WAVE data are being read

Method Detail

### readTextProp

    protected Property readTextProp(WaveModule module,
                                    java.lang.String propName)
                             throws java.io.IOException

  Reads the text item, and returns a Property containing the cue point ID and the text.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD